package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF294 extends MwfRequest<MWF294, MWF294Response> {

    @Parameter(name = "AP")
    MWF294 ap(String ap);
    @Parameter(name = "BeznyUcet")
    MWF294 beznyUcet(String beznyUcet);
    @Parameter(name = "CIF")
    MWF294 cif(String cif);
    @Parameter(name = "Cache")
    MWF294 cache(String cache);
    @Parameter(name = "CisloUU")
    MWF294 cisloUU(String cisloUU);
    @Parameter(name = "ClientID")
    MWF294 clientID(String clientID);
    @Parameter(name = "DatumPodpisuSmlouvy")
    MWF294 datumPodpisuSmlouvy(java.util.Date datumPodpisuSmlouvy);
    @Parameter(name = "MTS_Stav")
    MWF294 mTSStav(Long mTSStav);
    @Parameter(name = "RodneCislo")
    MWF294 rodneCislo(String rodneCislo);
    @Parameter(name = "Stav")
    MWF294 stav(String stav);
    @Parameter(name = "ZpusobPodpisu")
    MWF294 zpusobPodpisu(String zpusobPodpisu);
}
